PKG-AUTOREMOVE(8)

NAME
pkg autoremove - removes orphan packages

SYNOPSIS
pkg autoremove [-nqy]

pkg autoremove [--{dry-run,quiet,yes}]

DESCRIPTION
pkg autoremove is used for removing orphan packages, which were installed during dependency resolution and are no longer needed.

OPTIONS
The following options are supported by pkg autoremove:

-n, --dry-run
    Dry-run mode. The list of changes to packages is always printed, but no changes are actually made.

-q, --quiet
    Force quiet output

-y, --yes
    Assume yes when asked for confirmation before package autoremoval.

ENVIRONMENT
The following environment variables affect the execution of pkg autoremove. See pkg.conf(5) for further description.

DEFAULT_ALWAYS_YES

ASSUME_ALWAYS_YES

HANDLE_RC_SCRIPTS

PKG_DBDIR

FILES
See pkg.conf(5).

SEE ALSO
pkg_printf(3), pkg_repos(3), pkg-repository(5), pkg.conf(5), pkg(8), pkg-add(8), pkg-annotate(8), pkg-audit(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-config(8), pkg-convert(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-lock(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-ssh(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8)